rpld-tools(1)

NAME

rpld-tools - RoarAudio PlayList Daemon control programs

SYNOPSIS

rpld-next --ifcurple PLE

rpld-ctl [COMMON OPTIONS] COMMAND [arg]

rpld-queueple [COMMON OPTIONS] [--pos {first|last|POS]] PLE [PLI]

rpld-listq [COMMON OPTIONS] [PLI]

rpld-setpointer [COMMON OPTIONS] POINTER PLE [PLI]

rpld-listplaylists [COMMON OPTIONS] [{--tree|--flat}]

rpld-import [COMMON OPTIONS] PLI TYPE FILE

DESCRIPTION

The RoarAudio PlayList Daemon is a daemon which manages playlists and can play files or streams from those lists using a RoarAudio Sound Server.

This is a set of Perl based tools to do simple control of the server.

The following tools are supported:

rpld-next --ifcurple PLE
    Skip current song.

    if --ifcurple and a PLE is given the song is only skiped if the currently played song matches the given PLE.

rpld-ctl [COMMON OPTIONS] COMMAND [arg]
    This command can alter diffrent parts of the current rpld state. This included playback state as well as some playlist manipulation.

    Possible commands are:

    pause
        Pause playback.

    unpause
        Unpause playback.

    togglepause
        If playback is paused unpause, if not pause.

    volume VOL
        Set volume to VOL. VOL must be in range 0%..100% or 0..65535.

    play
        Start playback.

    stop
        Stop playback.

    next
        Play next track.

    prev
        Play previous track.

    store
        Save current state to store.

    addplaylist PLAYLIST
        Add a new playlist.

    delplaylist PLAYLIST
        Delete a playlist.

rpld-queueple [COMMON OPTIONS] [--pos {first|last|POS]] PLE [PLI]
    Queue the song PLE form playlist PLI. If no playlist is given all playlists are searched. A position where to queue to can optionaly be given.

rpld-listq [COMMON OPTIONS] [PLI]
    List content of queue or given playlist PLI.

rpld-setpointer [COMMON OPTIONS] POINTER PLE [PLI]
    Set pointer POINTER to a given target PLE. If no playlist (PLI) is given Main Queue is used.

rpld-listplaylists [COMMON OPTIONS] [{--tree|--flat}]
    List all known playlists. Listing is done in correct tree view (default) or as flat view.

rpld-import [COMMON OPTIONS] PLI TYPE FILE
    Import a playlist file FILE into a playlist PLI. The type of the file is given as TYPE.

COMMON OPTIONS
The following common options are supported:

--help
    THis option shows a brief help.

--server SERVER
    This option sets the server to connect to. This overrides the defaults.

--queue QUEUE
    This sets the default queue for the current process.

SEE ALSO
rpld-deprecated(1), rpld(7), RoarAudio(7).